package com.koobietech.eas.service;

import com.koobietech.eas.common.pojo.JwtUserPojo;
import com.koobietech.eas.dao.pojo.UserDetailPojo;


/**
 * @author lc
 */
public interface EasSysUserLoginRedisService {
    UserDetailPojo checkToken(JwtUserPojo jwtUserPojo);

    void loginSaveCache(String redisTokenKey, UserDetailPojo userDetailPojoInRedis, Integer token_expires);

    UserDetailPojo loginGetCache(String newRedisTokenKey);

    String createJwtTokenKey(JwtUserPojo jwtUserPojo);

    String createJwtRefreshTokenKey(JwtUserPojo jwtUserPojo);

    Boolean loginDeleteCache(String newRedisRefreshTokenKey);
}
